Subject: Re: [PATCH] Added guilt.reusebranch configuration option.

From: Theodore Ts'o <[email-masked]>
Date: Wed, 22 May 2013 14:04:03 -0400

On Wed, May 22, 2013 at 10:58:49AM -0700, Junio C Hamano wrote:
> Theodore Ts'o <[email-masked]> writes:
> 
> > I was actually thinking that it might be interesting to have a
> > branch.<branch>.rewindable, which would change the guilt defaults, and
> > could also key changes in key git behavior which makes it less likely
> > that a user shoots him or herself in the foot --- i.e., give warnings
> > if he or she has modified the branch in such a way that
> > remotes.origin.<branch> is no longer contained within the branch head.
> 
> At least "rebase" can pay attention to it and might make the world a
> better place.

Yeah, rebase was the primary command I was thinking about.  The other
one would be "git commit --amend" after the branch had been pushed
out.

					- Ted